# Constant Field Values

## Contents

- org.springframework.*

## org.springframework.*

org.springframework.jdbc.core.SqlReturnType
Modifier and Type
Constant Field
Value
`public static final int`
`TYPE_UNKNOWN`
`-2147483648`
org.springframework.jdbc.core.SqlTypeValue
Modifier and Type
Constant Field
Value
`public static final int`
`TYPE_UNKNOWN`
`-2147483648`
org.springframework.jdbc.core.StatementCreatorUtils
Modifier and Type
Constant Field
Value
`public static final String`
`IGNORE_GETPARAMETERTYPE_PROPERTY_NAME`
`"spring.jdbc.getParameterType.ignore"`

org.springframework.jdbc.core.namedparam.NamedParameterJdbcTemplate
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_CACHE_LIMIT`
`256`
org.springframework.jdbc.core.namedparam.SqlParameterSource
Modifier and Type
Constant Field
Value
`public static final int`
`TYPE_UNKNOWN`
`-2147483648`

org.springframework.jdbc.datasource.ConnectionHolder
Modifier and Type
Constant Field
Value
`public static final String`
`SAVEPOINT_NAME_PREFIX`
`"SAVEPOINT_"`
org.springframework.jdbc.datasource.DataSourceUtils
Modifier and Type
Constant Field
Value
`public static final int`
`CONNECTION_SYNCHRONIZATION_ORDER`
`1000`

org.springframework.jdbc.datasource.embedded.EmbeddedDatabaseFactory
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_DATABASE_NAME`
`"testdb"`

org.springframework.jdbc.datasource.init.ScriptUtils
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_BLOCK_COMMENT_END_DELIMITER`
`"*/"`
`public static final String`
`DEFAULT_BLOCK_COMMENT_START_DELIMITER`
`"/*"`
`public static final String`
`DEFAULT_COMMENT_PREFIX`
`"--"`
`public static final String`
`DEFAULT_STATEMENT_SEPARATOR`
`";"`
`public static final String`
`EOF_STATEMENT_SEPARATOR`
`"^^^ END OF SCRIPT ^^^"`
`public static final String`
`FALLBACK_STATEMENT_SEPARATOR`
`"\n"`

org.springframework.jdbc.object.BatchSqlUpdate
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_BATCH_SIZE`
`5000`

org.springframework.jdbc.support.DatabaseStartupValidator
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_INTERVAL`
`1`
`public static final int`
`DEFAULT_TIMEOUT`
`60`
org.springframework.jdbc.support.JdbcUtils
Modifier and Type
Constant Field
Value
`public static final int`
`TYPE_UNKNOWN`
`-2147483648`
org.springframework.jdbc.support.SQLErrorCodesFactory
Modifier and Type
Constant Field
Value
`public static final String`
`SQL_ERROR_CODE_DEFAULT_PATH`
`"org/springframework/jdbc/support/sql-error-codes.xml"`
`public static final String`
`SQL_ERROR_CODE_OVERRIDE_PATH`
`"sql-error-codes.xml"`